const { app, BrowserWindow } = require('electron')
const { electronApp, optimizer } = require('@electron-toolkit/utils')
import { createWindow, createChildWindow } from './windows'
import { initIPC } from './IPC'



// 模拟配置的modbus配置单
// var realTimeData = []


// 数据处理
// function dataHandle(data) {
//   let result = []
//   for (let i = 0; i < modbusConfig.name.length; i++) {
//     result[i] = {
//       name: modbusConfig.name[i],
//       data: data[i]
//     }
//   }

//   return result
// }


// This method will be called when Electron has finished
// initialization and is ready to create browser windows.
// Some APIs can only be used after this event occurs.
app.whenReady().then(() => {
  // Set app user model id for windows
  electronApp.setAppUserModelId('com.electron')

  // Default open or close DevTools by F12 in development
  // and ignore CommandOrControl + R in production.
  // see https://github.com/alex8088/electron-toolkit/tree/master/packages/utils
  app.on('browser-window-created', (_, window) => {
    optimizer.watchWindowShortcuts(window)
  })

  createWindow()
  // createChildWindow()
  initIPC()

  app.on('activate', function () {
    // On macOS it's common to re-create a window in the app when the
    // dock icon is clicked and there are no other windows open.
    if (BrowserWindow.getAllWindows().length === 0) createWindow()
  })
})

// Quit when all windows are closed, except on macOS. There, it's common
// for applications and their menu bar to stay active until the user quits
// explicitly with Cmd + Q.
app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit()
  }
})

// In this file you can include the rest of your app"s specific main process
// code. You can also put them in separate files and require them here.
