import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [
  {
    path: '/main', component: () => import('../view/MainView.vue'),
    children: [
      { path: 'index', component: () => import('../view/index.vue') },
      { path: 'chart', component: () => import('../view/LineChart.vue') },
      { path: 'logout', component: () => import('../view/logout.vue') },
      { path: 'login_info', component: () => import('../view/login.vue') }
    ]
  },
  { path: '/login', component: () => import('../view/Connect.vue') },
  { path: '/*', component: () => import('../view/Connect.vue') },
  { path: '/', component: () => import('../view/Connect.vue') }
]

const router = createRouter({
  mode: 'hash',
  history: createWebHashHistory(),
  routes
})

export default router
